Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.adaptor.pdf
Class GraphicsState

    java.lang.Object
      multivalent.std.adaptor.pdf.GraphicsState

public class GraphicsState
extends java.lang.Object

PDF graphics state, with many attributes. As a PDF content stream is interpreted, GraphicsState objects and pushed and poppsed on the stack.

Version:
  $Revision: 1.8 $ $Date: 2004/04/27 15:19:04 $

Field Summary
`float` | `alphanonstroke`
`float` | `alphastroke`
`FixedIClip` | `clip`
`java.awt.geom.AffineTransform` | `ctm`
`float[]` | `dasharray`
`float` | `dashphase`
`java.awt.color.ColorSpace` | `fCS`
`java.awt.Color` | `fillcolor`
`int` | `flatness`
`Dict` | `fontdict`
`int` | `linecap`
`int` | `linejoin`
`float` | `linewidth`
`float` | `miterlimit`
`double` | `pointsize`
`java.lang.String` | `renderingintent`
`java.awt.color.ColorSpace` | `sCS`
`double` | `smoothness`
`java.awt.Color` | `strokecolor`
`double` | `Tc`
`double` | `TL`
`int` | `Tr`
`double` | `Ts`
`double` | `Tw`
`double` | `Tz`

Constructor Summary
`GraphicsState()`
`GraphicsState(GraphicsState gs)` Makes copy of gs.

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ctm

    public java.awt.geom.AffineTransform ctm

### fCS

    public java.awt.color.ColorSpace fCS

### sCS

    public java.awt.color.ColorSpace sCS

### fillcolor

    public java.awt.Color fillcolor

### strokecolor

    public java.awt.Color strokecolor

### fontdict

    public Dict fontdict

### pointsize

    public double pointsize

### Tw

    public double Tw

### Tc

    public double Tc

### Tz

    public double Tz

### Ts

    public double Ts

### TL

    public double TL

### Tr

    public int Tr

### linewidth

    public float linewidth

### linecap

    public int linecap

### linejoin

    public int linejoin

### miterlimit

    public float miterlimit

### dasharray

    public float[] dasharray

### dashphase

    public float dashphase

### renderingintent

    public java.lang.String renderingintent

### flatness

    public int flatness

### smoothness

    public double smoothness

### alphastroke

    public float alphastroke

### alphanonstroke

    public float alphanonstroke

### clip

    public FixedIClip clip

Constructor Detail

### GraphicsState

    public GraphicsState()

### GraphicsState

    public GraphicsState(GraphicsState gs)

  Makes copy of gs.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD